#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa72248ec, "usb_register_driver" },
	{ 0x81fd5219, "usb_serial_register_drivers" },
	{ 0xe193b177, "usb_deregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe8dee288, "usb_control_msg_send" },
	{ 0xd1005013, "_dev_err" },
	{ 0x5b61f0b5, "__dynamic_dev_dbg" },
	{ 0x75cf38eb, "usb_kill_urb" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbd8a25f5, "usb_submit_urb" },
	{ 0xdcc9ef6d, "usb_serial_generic_resume" },
	{ 0x11e6cb56, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd12a7bc, "usb_serial_deregister_drivers" },
	{ 0x290528de, "usb_serial_generic_close" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb34bc478, "__tty_insert_flip_string_flags" },
	{ 0x4f3f8113, "usb_control_msg_recv" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcca9493e, "tty_port_tty_get" },
	{ 0x6e7bc0d8, "usb_serial_handle_dcd_change" },
	{ 0x80108565, "tty_kref_put" },
	{ 0xcd9c13a3, "tty_termios_hw_change" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0xf72a65ea, "tty_get_char_size" },
	{ 0x79e973c2, "tty_encode_baud_rate" },
	{ 0x17d7e1a9, "usb_serial_generic_open" },
	{ 0x7ebc429e, "_dev_warn" },
	{ 0x696af407, "tty_flip_buffer_push" },
	{ 0xd2189d70, "usb_serial_generic_tiocmiwait" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "usbserial");

MODULE_ALIAS("usb:v1934p0706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C42p1602d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C42p1604d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C42p1605d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C42p1606d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C42p1608d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C42p1632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C42p1634d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C42p1635d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C42p1636d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C42p16F8d*dc*dsc*dp*ic*isc*ip*in*");
